/* $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
** Command: kcg66.exe -config C:/SCADE Training Kit/trunk/Basic/Model-Based Design with SCADE Suite/For Customer/Day 3/Exercises66/Solution/Exercise 5/M3C3/EmbeddedCode/config.txt
** Generation date: 2016-01-28T09:29:58
*************************************************************$ */

#include "kcg_consts.h"
#include "kcg_sensors.h"
#include "M3C3.h"

/* M3C3/ */
void M3C3(inC_M3C3 *inC, outC_M3C3 *outC)
{
  /* _L16=(linear::MeanCycle3#1)/ */
  MeanCycle3_linear_float64(inC->U, &outC->Context_MeanCycle3_1);
  outC->MeanOn3Cycles = outC->Context_MeanCycle3_1.MeanOn3Step_float64;
  /* _L10=(MinMaxCycle3#1)/ */
  MinMaxCycle3(inC->U, &outC->Context_MinMaxCycle3_1);
  outC->MinOn3Cycles = outC->Context_MinMaxCycle3_1.MinOn3Cycles;
  outC->MaxOn3Cycles = outC->Context_MinMaxCycle3_1.MaxOn3Cycles;
}

#ifndef KCG_USER_DEFINED_INIT
void M3C3_init(outC_M3C3 *outC)
{
  outC->MaxOn3Cycles = kcg_lit_float64(0.0);
  outC->MeanOn3Cycles = kcg_lit_float64(0.0);
  outC->MinOn3Cycles = kcg_lit_float64(0.0);
  /* _L10=(MinMaxCycle3#1)/ */ MinMaxCycle3_init(&outC->Context_MinMaxCycle3_1);
  /* _L16=(linear::MeanCycle3#1)/ */
  MeanCycle3_init_linear_float64(&outC->Context_MeanCycle3_1);
}
#endif /* KCG_USER_DEFINED_INIT */


#ifndef KCG_NO_EXTERN_CALL_TO_RESET
void M3C3_reset(outC_M3C3 *outC)
{
  /* _L10=(MinMaxCycle3#1)/ */ MinMaxCycle3_reset(&outC->Context_MinMaxCycle3_1);
  /* _L16=(linear::MeanCycle3#1)/ */
  MeanCycle3_reset_linear_float64(&outC->Context_MeanCycle3_1);
}
#endif /* KCG_NO_EXTERN_CALL_TO_RESET */



/* $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
** M3C3.c
** Generation date: 2016-01-28T09:29:58
*************************************************************$ */

