/* $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
** Command: kcg66.exe -config C:/SCADE Training Kit/trunk/Basic/Model-Based Design with SCADE Suite/For Customer/Day 3/Exercises66/Solution/Exercise 5/M3C3/EmbeddedCode/config.txt
** Generation date: 2016-01-28T09:29:58
*************************************************************$ */
#ifndef _M3C3_H_
#define _M3C3_H_

#include "kcg_types.h"
#include "MeanCycle3_linear_float64.h"
#include "MinMaxCycle3.h"

/* ========================  input structure  ====================== */
typedef struct { kcg_float64 /* U/, _L5/ */ U; } inC_M3C3;

/* =====================  no output structure  ====================== */

/* ========================  context type  ========================= */
typedef struct {
  /* ---------------------------  outputs  --------------------------- */
  kcg_float64 /* MinOn3Cycles/, _L10/ */ MinOn3Cycles;
  kcg_float64 /* MeanOn3Cycles/, _L16/ */ MeanOn3Cycles;
  kcg_float64 /* MaxOn3Cycles/, _L18/ */ MaxOn3Cycles;
  /* -----------------------  no local probes  ----------------------- */
  /* -----------------------  no local memory  ----------------------- */
  /* ---------------------  sub nodes' contexts  --------------------- */
  outC_MinMaxCycle3 /* _L10=(MinMaxCycle3#1)/ */ Context_MinMaxCycle3_1;
  outC_MeanCycle3_linear_float64 /* _L16=(linear::MeanCycle3#1)/ */ Context_MeanCycle3_1;
  /* ----------------- no clocks of observable data ------------------ */
} outC_M3C3;

/* ===========  node initialization and cycle functions  =========== */
/* M3C3/ */
extern void M3C3(inC_M3C3 *inC, outC_M3C3 *outC);

#ifndef KCG_NO_EXTERN_CALL_TO_RESET
extern void M3C3_reset(outC_M3C3 *outC);
#endif /* KCG_NO_EXTERN_CALL_TO_RESET */

#ifndef KCG_USER_DEFINED_INIT
extern void M3C3_init(outC_M3C3 *outC);
#endif /* KCG_USER_DEFINED_INIT */



#endif /* _M3C3_H_ */
/* $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
** M3C3.h
** Generation date: 2016-01-28T09:29:58
*************************************************************$ */

