-- $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
-- ** Command: kcg66.exe -config C:/WORK/dev/R17/225_yves_ada/M3C3/EmbeddedCodeAda/config.txt
-- ** Generation date: 2016-01-26T16:03:39
-- *************************************************************$
separate (Kcg_Top)

-- MinMaxCycle3/
procedure MinMaxCycle3(
  -- U/, _L16/
  U : in Kcg_Config.Kcg_Float64;
  Ctx : in out Context_MinMaxCycle3)
is

  -- _L11/
  L11 : Kcg_Config.Kcg_Float64;
begin
  if(Ctx.init) then
    Ctx.init := False;
    L11 := U;
    Ctx.L12 := U;
  else
    L11 := Ctx.L12;
    Ctx.L12 := Ctx.mem_U;
  end if;
  Ctx.mem_U := U;
  Ctx.MinOn3Cycles := -- _L15=(math::Min3#1)/
                      math.Min3_float64(
      I1_float64  =>  L11,
      I2_float64  =>  Ctx.L12,
      I3_float64  =>  U);
  Ctx.MaxOn3Cycles := -- _L13=(math::Max3#1)/
                      math.Max3_float64(
      I1_float64  =>  U,
      I2_float64  =>  Ctx.L12,
      I3_float64  =>  L11);
end MinMaxCycle3;


-- $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
-- ** kcg_top-minmaxcycle3.adb
-- ** Generation date: 2016-01-26T16:03:39
-- *************************************************************$

