-- $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
-- ** Command: kcg66.exe -config C:/WORK/dev/R17/225_yves_ada/M3C3/EmbeddedCodeAda/config.txt
-- ** Generation date: 2016-01-26T16:03:39
-- *************************************************************$
with Kcg_Config;
with linear;

--# inherit Kcg_Config, linear, math;
package Kcg_Top
is

  type Context_MinMaxCycle3 is
    record
    -- ---------------------------  outputs  ---------------------------
    -- MinOn3Cycles/, _L15/
    MinOn3Cycles : Kcg_Config.Kcg_Float64;
    -- MaxOn3Cycles/, _L13/
    MaxOn3Cycles : Kcg_Config.Kcg_Float64;
    -- -----------------------  no local probes  -----------------------
    -- ----------------- no clocks of observable data ------------------
    -- ----------------------- local memories  -------------------------
    -- U/, _L16/
    mem_U : Kcg_Config.Kcg_Float64;
    -- _L12/
    L12 : Kcg_Config.Kcg_Float64;
    init : Boolean;
    -- --------------------  no debug variables  -----------------------
    -- ------------------  no assertion variables  ---------------------
    -- -------------------- no sub nodes' contexts  --------------------
    end record;

  procedure MinMaxCycle3_Reset(
    Ctx : in out Context_MinMaxCycle3);


  procedure MinMaxCycle3_Init(
    Ctx : out Context_MinMaxCycle3);


  -- MinMaxCycle3/
  procedure MinMaxCycle3(
    -- U/, _L16/
    U : in Kcg_Config.Kcg_Float64;
    Ctx : in out Context_MinMaxCycle3);




  type Context_M3C3 is
    record
    -- ---------------------------  outputs  ---------------------------
    -- MinOn3Cycles/, _L10/
    MinOn3Cycles : Kcg_Config.Kcg_Float64;
    -- MeanOn3Cycles/, _L16/
    MeanOn3Cycles : Kcg_Config.Kcg_Float64;
    -- MaxOn3Cycles/, _L18/
    MaxOn3Cycles : Kcg_Config.Kcg_Float64;
    -- -----------------------  no local probes  -----------------------
    -- ----------------- no clocks of observable data ------------------
    -- -----------------------  no local memory  -----------------------
    -- --------------------  no debug variables  -----------------------
    -- ------------------  no assertion variables  ---------------------
    -- ---------------------  sub nodes' contexts  ---------------------
    -- _L10=(MinMaxCycle3#1)/
    SubCtx_MinMaxCycle3_1 : Context_MinMaxCycle3;
    -- _L16=(linear::MeanCycle3#1)/
    SubCtx_MeanCycle3_1 : linear.Context_MeanCycle3_float64;
    end record;

  procedure M3C3_Reset(
    Ctx : in out Context_M3C3);


  procedure M3C3_Init(
    Ctx : out Context_M3C3);


  -- M3C3/
  procedure M3C3(
    -- U/, _L5/
    U : in Kcg_Config.Kcg_Float64;
    Ctx : in out Context_M3C3);




end Kcg_Top;

-- $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
-- ** kcg_top.ads
-- ** Generation date: 2016-01-26T16:03:39
-- *************************************************************$

