with Ada.Text_IO;
with Kcg_Config;
with Interfaces; use Interfaces;
with Interfaces.C;
with Interfaces.C.Strings;

with Kcg_Config;
with Kcg_Top;

with Ada.Float_Text_IO;
with Ada.Text_IO;


procedure Main is
    --strU: String(1..80);

    -- Root inputs
    U: Kcg_Config.Kcg_Float64:=0.0;

    -- Root outputs
    Ctx: Kcg_Top.Context_M3C3;

    package Kcg_Float64_Text_IO is  new Ada.Text_IO.Float_IO (Kcg_Config.Kcg_Float64);

begin
    -- Call to init function
    Kcg_Top.M3C3_Init (
            Ctx => Ctx
        );

    while (U/=-1.0) loop
        -- Enter input:
        Ada.Text_IO.Put_Line("Enter a value:");
        Kcg_Float64_Text_IO.Get(U);

        -- Call to cycle function
        Kcg_Top.M3C3 (
            U => U,
            Ctx => Ctx);

        -- Display outputs:
		Ada.Text_IO.Put_Line("Sliding values on 3 cycles:");
        Ada.Text_IO.Put_Line("Mean: "&Ctx.MeanOn3Cycles'Img);
        Ada.Text_IO.Put_Line("Min: "&Ctx.MinOn3Cycles'Img);
        Ada.Text_IO.Put_Line("Max:"&Ctx.MaxOn3Cycles'Img);
    end loop;

end Main;
