/* $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
** Command: kcg66.exe -config C:/SCADE Training Kit/trunk/Basic/Model-Based Design with SCADE Suite/For Customer/Day 3/Exercises66/Solution/Exercise 5/M3C3/EmbeddedCode/config.txt
** Generation date: 2016-01-28T09:29:58
*************************************************************$ */

#include "kcg_consts.h"
#include "kcg_sensors.h"
#include "MeanCycle3_linear_float64.h"

/* linear::MeanCycle3/ */
void MeanCycle3_linear_float64(
  /* U/, _L6/ */
  kcg_float64 U_float64,
  outC_MeanCycle3_linear_float64 *outC)
{
  kcg_float64 tmp;
  /* _L7/ */
  kcg_float64 _L7_float64;

  _L7_float64 = outC->_L7_float64;
  /* _L7=, _L9= */
  if (outC->init) {
    outC->_L7_float64 = U_float64;
    outC->init = kcg_false;
    tmp = U_float64;
  }
  else {
    outC->_L7_float64 = outC->mem_U_float64;
    tmp = _L7_float64;
  }
  outC->mem_U_float64 = U_float64;
  outC->MeanOn3Step_float64 = (U_float64 + outC->_L7_float64 + tmp) /
    kcg_lit_float64(3.);
}

#ifndef KCG_USER_DEFINED_INIT
void MeanCycle3_init_linear_float64(outC_MeanCycle3_linear_float64 *outC)
{
  outC->init = kcg_true;
  outC->_L7_float64 = kcg_lit_float64(0.0);
  outC->mem_U_float64 = kcg_lit_float64(0.0);
  outC->MeanOn3Step_float64 = kcg_lit_float64(0.0);
}
#endif /* KCG_USER_DEFINED_INIT */


#ifndef KCG_NO_EXTERN_CALL_TO_RESET
void MeanCycle3_reset_linear_float64(outC_MeanCycle3_linear_float64 *outC)
{
  outC->init = kcg_true;
}
#endif /* KCG_NO_EXTERN_CALL_TO_RESET */



/* $********** SCADE Suite KCG 32-bit 6.6 (build i15) ***********
** MeanCycle3_linear_float64.c
** Generation date: 2016-01-28T09:29:58
*************************************************************$ */

